INTERFACE
SUBROUTINE LAPINEATL(KST,KPROF,&
 & PCOLON,PSILON,PGM,PGEMU,PGSQM2,PGECLO,PGESLO,&
 & PGNORDL,PGNORDM,PINDX,PINDY,&
 & PB1,PB2,PB15,&
 & PLON,PLAT,PR,PS,&
 & PLON5,PLAT5,PR5,PS5,&
 & KL0,KLH0,PDLO,PCLO,PCLOSLD,PDLAT,PCLA,PCLASLD,PDVER,PVINTW,PVINTWSLD,&
 & PDLO5,PCLO5,PCLOSLD5,&
 & PDLAT5,PCLA5,PCLASLD5,PDVER5,PVINTW5,PVINTWSLD5,&
 & PCOSCO,PSINCO,PCOPHI,PSINLA,PLEV,&
 & PCOSCO5,PSINCO5,PCOPHI5,PSINLA5,PLEV5,&
 & PUF5,PVF5,POUT5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NDGSAG ,NDGSAL ,NDGENG ,NDGENL ,NDGUNG ,&
 & NDGUXG ,NDLUNG ,NDLUXG ,NFLEVG ,NDGSAH ,&
 & NDGENH ,NRLEVX ,NPROMA ,NFLSA ,NFLEN 
USE YOMDYN , ONLY : NITMP ,VETAON ,VETAOX ,LSETTLST ,LELTRA ,LADVF
USE YOMSC2 , ONLY : NSLWIDE ,NFLDSLB1 ,NFLDSLB2 ,NFLDSLB15
USE YOMMP , ONLY : NSLOFF ,NFRSTLOFF,NASLB1
INTEGER(KIND=JPIM),INTENT(IN) :: KST
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PCOLON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSILON(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGEMU(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGSQM2(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGECLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGESLO(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDL(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PGNORDM(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDX(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PINDY(NPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PB1(NASLB1,NFLDSLB1)
REAL(KIND=JPRB) ,INTENT(IN) :: PB2(NPROMA,NFLDSLB2)
REAL(KIND=JPRB) ,INTENT(IN) :: PB15(NASLB1,NFLDSLB15)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PR(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PS(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLON5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(OUT) :: PLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PR5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PS5(NPROMA,NFLEVG,NITMP)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KL0(NPROMA,NFLEVG,0:3,NITMP)
INTEGER(KIND=JPIM),INTENT(INOUT) :: KLH0(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO(NPROMA,NFLEVG,0:3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLO5(NPROMA,NFLEVG,0:3,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLO5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLOSLD5(NPROMA,NFLEVG,3,2)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDLAT5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLA5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCLASLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDVER5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTW5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVINTWSLD5(NPROMA,NFLEVG,3)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOSCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINCO5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PCOPHI5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSINLA5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLEV5(NPROMA,NFLEVG,NITMP)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PUF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVF5(NPROMA,NFLEVG,NITMP-1)
REAL(KIND=JPRB) ,INTENT(IN) :: POUT5(NPROMA,NFLEVG,NITMP)
END SUBROUTINE LAPINEATL
END INTERFACE
